This is a testharness.js-based test.
PASS This test uses interpolation-test.js. 
PASS CSS Transitions: property <-webkit-filter> from [] to [hue-rotate(20deg)] at (-0.5) is [hue-rotate(5deg)] 
PASS CSS Transitions: property <-webkit-filter> from [] to [hue-rotate(20deg)] at (0) is [hue-rotate(10deg)] 
PASS CSS Transitions: property <-webkit-filter> from [] to [hue-rotate(20deg)] at (0.3) is [hue-rotate(13deg)] 
PASS CSS Transitions: property <-webkit-filter> from [] to [hue-rotate(20deg)] at (0.6) is [hue-rotate(16deg)] 
PASS CSS Transitions: property <-webkit-filter> from [] to [hue-rotate(20deg)] at (1) is [hue-rotate(20deg)] 
PASS CSS Transitions: property <-webkit-filter> from [] to [hue-rotate(20deg)] at (1.5) is [hue-rotate(25deg)] 
PASS CSS Transitions: property <-webkit-filter> from [initial] to [hue-rotate(20deg)] at (-0.5) is [hue-rotate(-10deg)] 
PASS CSS Transitions: property <-webkit-filter> from [initial] to [hue-rotate(20deg)] at (0) is [none] 
PASS CSS Transitions: property <-webkit-filter> from [initial] to [hue-rotate(20deg)] at (0.3) is [hue-rotate(6deg)] 
PASS CSS Transitions: property <-webkit-filter> from [initial] to [hue-rotate(20deg)] at (0.6) is [hue-rotate(12deg)] 
PASS CSS Transitions: property <-webkit-filter> from [initial] to [hue-rotate(20deg)] at (1) is [hue-rotate(20deg)] 
PASS CSS Transitions: property <-webkit-filter> from [initial] to [hue-rotate(20deg)] at (1.5) is [hue-rotate(30deg)] 
PASS CSS Transitions: property <-webkit-filter> from [inherit] to [hue-rotate(20deg)] at (-0.5) is [hue-rotate(35deg)] 
PASS CSS Transitions: property <-webkit-filter> from [inherit] to [hue-rotate(20deg)] at (0) is [hue-rotate(30deg)] 
PASS CSS Transitions: property <-webkit-filter> from [inherit] to [hue-rotate(20deg)] at (0.3) is [hue-rotate(27deg)] 
PASS CSS Transitions: property <-webkit-filter> from [inherit] to [hue-rotate(20deg)] at (0.6) is [hue-rotate(24deg)] 
PASS CSS Transitions: property <-webkit-filter> from [inherit] to [hue-rotate(20deg)] at (1) is [hue-rotate(20deg)] 
PASS CSS Transitions: property <-webkit-filter> from [inherit] to [hue-rotate(20deg)] at (1.5) is [hue-rotate(15deg)] 
PASS CSS Transitions: property <-webkit-filter> from [unset] to [hue-rotate(20deg)] at (-0.5) is [hue-rotate(-10deg)] 
PASS CSS Transitions: property <-webkit-filter> from [unset] to [hue-rotate(20deg)] at (0) is [none] 
PASS CSS Transitions: property <-webkit-filter> from [unset] to [hue-rotate(20deg)] at (0.3) is [hue-rotate(6deg)] 
PASS CSS Transitions: property <-webkit-filter> from [unset] to [hue-rotate(20deg)] at (0.6) is [hue-rotate(12deg)] 
PASS CSS Transitions: property <-webkit-filter> from [unset] to [hue-rotate(20deg)] at (1) is [hue-rotate(20deg)] 
PASS CSS Transitions: property <-webkit-filter> from [unset] to [hue-rotate(20deg)] at (1.5) is [hue-rotate(30deg)] 
PASS CSS Transitions: property <-webkit-filter> from [hue-rotate(0deg) blur(6px)] to [hue-rotate(180deg) blur(10px)] at (-0.5) is [hue-rotate(-90deg) blur(4px)] 
PASS CSS Transitions: property <-webkit-filter> from [hue-rotate(0deg) blur(6px)] to [hue-rotate(180deg) blur(10px)] at (0) is [hue-rotate(0deg) blur(6px)] 
PASS CSS Transitions: property <-webkit-filter> from [hue-rotate(0deg) blur(6px)] to [hue-rotate(180deg) blur(10px)] at (0.25) is [hue-rotate(45deg) blur(7px)] 
PASS CSS Transitions: property <-webkit-filter> from [hue-rotate(0deg) blur(6px)] to [hue-rotate(180deg) blur(10px)] at (0.5) is [hue-rotate(90deg) blur(8px)] 
PASS CSS Transitions: property <-webkit-filter> from [hue-rotate(0deg) blur(6px)] to [hue-rotate(180deg) blur(10px)] at (1) is [hue-rotate(180deg) blur(10px)] 
PASS CSS Transitions: property <-webkit-filter> from [hue-rotate(0deg) blur(6px)] to [hue-rotate(180deg) blur(10px)] at (1.5) is [hue-rotate(270deg) blur(12px)] 
PASS CSS Transitions: property <-webkit-filter> from [hue-rotate(80deg) blur(6mm)] to [hue-rotate(100grad) blur(1cm)] at (-0.5) is [hue-rotate(75deg) blur(15.1181px)] 
PASS CSS Transitions: property <-webkit-filter> from [hue-rotate(80deg) blur(6mm)] to [hue-rotate(100grad) blur(1cm)] at (0) is [hue-rotate(80deg) blur(22.6772px)] 
PASS CSS Transitions: property <-webkit-filter> from [hue-rotate(80deg) blur(6mm)] to [hue-rotate(100grad) blur(1cm)] at (0.25) is [hue-rotate(82.5deg) blur(26.4567px)] 
PASS CSS Transitions: property <-webkit-filter> from [hue-rotate(80deg) blur(6mm)] to [hue-rotate(100grad) blur(1cm)] at (0.5) is [hue-rotate(85deg) blur(30.2362px)] 
PASS CSS Transitions: property <-webkit-filter> from [hue-rotate(80deg) blur(6mm)] to [hue-rotate(100grad) blur(1cm)] at (1) is [hue-rotate(90deg) blur(37.7953px)] 
PASS CSS Transitions: property <-webkit-filter> from [hue-rotate(80deg) blur(6mm)] to [hue-rotate(100grad) blur(1cm)] at (1.5) is [hue-rotate(95deg) blur(45.3543px)] 
PASS CSS Transitions: property <-webkit-filter> from [grayscale(0) blur(0px)] to [blur(10px)] at (-0.3) is [blur(10px)] 
PASS CSS Transitions: property <-webkit-filter> from [grayscale(0) blur(0px)] to [blur(10px)] at (0) is [blur(10px)] 
PASS CSS Transitions: property <-webkit-filter> from [grayscale(0) blur(0px)] to [blur(10px)] at (0.3) is [blur(10px)] 
PASS CSS Transitions: property <-webkit-filter> from [grayscale(0) blur(0px)] to [blur(10px)] at (0.5) is [blur(10px)] 
PASS CSS Transitions: property <-webkit-filter> from [grayscale(0) blur(0px)] to [blur(10px)] at (0.6) is [blur(10px)] 
PASS CSS Transitions: property <-webkit-filter> from [grayscale(0) blur(0px)] to [blur(10px)] at (1) is [blur(10px)] 
PASS CSS Transitions: property <-webkit-filter> from [grayscale(0) blur(0px)] to [blur(10px)] at (1.5) is [blur(10px)] 
PASS CSS Transitions: property <-webkit-filter> from [blur(6px)] to [blur(10px) hue-rotate(180deg)] at (-0.5) is [blur(4px) hue-rotate(-90deg)] 
FAIL CSS Transitions: property <-webkit-filter> from [blur(6px)] to [blur(10px) hue-rotate(180deg)] at (0) is [blur(6px)] assert_equals: expected "blur ( 6px ) hue - rotate ( 0deg ) " but got "blur ( 6px ) "
PASS CSS Transitions: property <-webkit-filter> from [blur(6px)] to [blur(10px) hue-rotate(180deg)] at (0.25) is [blur(7px) hue-rotate(45deg)] 
PASS CSS Transitions: property <-webkit-filter> from [blur(6px)] to [blur(10px) hue-rotate(180deg)] at (0.5) is [blur(8px) hue-rotate(90deg)] 
PASS CSS Transitions: property <-webkit-filter> from [blur(6px)] to [blur(10px) hue-rotate(180deg)] at (1) is [blur(10px) hue-rotate(180deg)] 
PASS CSS Transitions: property <-webkit-filter> from [blur(6px)] to [blur(10px) hue-rotate(180deg)] at (1.5) is [blur(12px) hue-rotate(270deg)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [hue-rotate(180deg)] at (-0.5) is [hue-rotate(-90deg)] 
FAIL CSS Transitions: property <-webkit-filter> from [none] to [hue-rotate(180deg)] at (0) is [none] assert_equals: expected "hue - rotate ( 0deg ) " but got "none "
PASS CSS Transitions: property <-webkit-filter> from [none] to [hue-rotate(180deg)] at (0.25) is [hue-rotate(45deg)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [hue-rotate(180deg)] at (0.5) is [hue-rotate(90deg)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [hue-rotate(180deg)] at (1) is [hue-rotate(180deg)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [hue-rotate(180deg)] at (1.5) is [hue-rotate(270deg)] 
PASS CSS Transitions: property <-webkit-filter> from [hue-rotate(180deg)] to [none] at (-0.5) is [hue-rotate(270deg)] 
PASS CSS Transitions: property <-webkit-filter> from [hue-rotate(180deg)] to [none] at (0) is [hue-rotate(180deg)] 
PASS CSS Transitions: property <-webkit-filter> from [hue-rotate(180deg)] to [none] at (0.25) is [hue-rotate(135deg)] 
PASS CSS Transitions: property <-webkit-filter> from [hue-rotate(180deg)] to [none] at (0.5) is [hue-rotate(90deg)] 
FAIL CSS Transitions: property <-webkit-filter> from [hue-rotate(180deg)] to [none] at (1) is [none] assert_equals: expected "hue - rotate ( 0deg ) " but got "none "
PASS CSS Transitions: property <-webkit-filter> from [hue-rotate(180deg)] to [none] at (1.5) is [hue-rotate(-90deg)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [blur(10px)] at (-1) is [blur(0px)] 
FAIL CSS Transitions: property <-webkit-filter> from [none] to [blur(10px)] at (0) is [none] assert_equals: expected "blur ( 0px ) " but got "none "
PASS CSS Transitions: property <-webkit-filter> from [none] to [blur(10px)] at (0.5) is [blur(5px)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [blur(10px)] at (1) is [blur(10px)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [blur(10px)] at (1.5) is [blur(15px)] 
PASS CSS Transitions: property <-webkit-filter> from [brightness(0)] to [none] at (-1) is [brightness(0)] 
PASS CSS Transitions: property <-webkit-filter> from [brightness(0)] to [none] at (0) is [brightness(0)] 
PASS CSS Transitions: property <-webkit-filter> from [brightness(0)] to [none] at (0.5) is [brightness(0.5)] 
FAIL CSS Transitions: property <-webkit-filter> from [brightness(0)] to [none] at (1) is [none] assert_equals: expected "brightness ( 1 ) " but got "none "
PASS CSS Transitions: property <-webkit-filter> from [brightness(0)] to [none] at (1.5) is [brightness(1.5)] 
PASS CSS Transitions: property <-webkit-filter> from [contrast(0)] to [none] at (-1) is [contrast(0)] 
PASS CSS Transitions: property <-webkit-filter> from [contrast(0)] to [none] at (0) is [contrast(0)] 
PASS CSS Transitions: property <-webkit-filter> from [contrast(0)] to [none] at (0.5) is [contrast(0.5)] 
FAIL CSS Transitions: property <-webkit-filter> from [contrast(0)] to [none] at (1) is [none] assert_equals: expected "contrast ( 1 ) " but got "none "
PASS CSS Transitions: property <-webkit-filter> from [contrast(0)] to [none] at (1.5) is [contrast(1.5)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [drop-shadow(20px 10px green)] at (-1) is [drop-shadow(rgba(0, 0, 0, 0) -20px -10px 0px)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [drop-shadow(20px 10px green)] at (0) is [none] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [drop-shadow(20px 10px green)] at (0.5) is [drop-shadow(rgba(0, 127, 0, 0.501961) 10px 5px 0px)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [drop-shadow(20px 10px green)] at (1) is [drop-shadow(rgb(0, 128, 0) 20px 10px 0px)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [drop-shadow(20px 10px green)] at (1.5) is [drop-shadow(rgb(0, 192, 0) 30px 15px 0px)] 
PASS CSS Transitions: property <-webkit-filter> from [drop-shadow(0px 0px 0px currentcolor)] to [drop-shadow(20px 10px green)] at (-1) is [drop-shadow(rgb(255, 255, 255) -20px -10px 0px)] 
PASS CSS Transitions: property <-webkit-filter> from [drop-shadow(0px 0px 0px currentcolor)] to [drop-shadow(20px 10px green)] at (0) is [drop-shadow(rgb(255, 255, 255) 0px 0px 0px)] 
PASS CSS Transitions: property <-webkit-filter> from [drop-shadow(0px 0px 0px currentcolor)] to [drop-shadow(20px 10px green)] at (0.5) is [drop-shadow(rgb(128, 192, 128) 10px 5px 0px)] 
PASS CSS Transitions: property <-webkit-filter> from [drop-shadow(0px 0px 0px currentcolor)] to [drop-shadow(20px 10px green)] at (1) is [drop-shadow(rgb(0, 128, 0) 20px 10px 0px)] 
PASS CSS Transitions: property <-webkit-filter> from [drop-shadow(0px 0px 0px currentcolor)] to [drop-shadow(20px 10px green)] at (1.5) is [drop-shadow(rgb(0, 65, 0) 30px 15px 0px)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [grayscale(1)] at (-1) is [grayscale(0)] 
FAIL CSS Transitions: property <-webkit-filter> from [none] to [grayscale(1)] at (0) is [none] assert_equals: expected "grayscale ( 0 ) " but got "none "
PASS CSS Transitions: property <-webkit-filter> from [none] to [grayscale(1)] at (0.5) is [grayscale(0.5)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [grayscale(1)] at (1) is [grayscale(1)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [grayscale(1)] at (1.5) is [grayscale(1)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [hue-rotate(360deg)] at (-1) is [hue-rotate(-360deg)] 
FAIL CSS Transitions: property <-webkit-filter> from [none] to [hue-rotate(360deg)] at (0) is [none] assert_equals: expected "hue - rotate ( 0deg ) " but got "none "
PASS CSS Transitions: property <-webkit-filter> from [none] to [hue-rotate(360deg)] at (0.5) is [hue-rotate(180deg)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [hue-rotate(360deg)] at (1) is [hue-rotate(360deg)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [hue-rotate(360deg)] at (1.5) is [hue-rotate(540deg)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [invert(1)] at (-1) is [invert(0)] 
FAIL CSS Transitions: property <-webkit-filter> from [none] to [invert(1)] at (0) is [none] assert_equals: expected "invert ( 0 ) " but got "none "
PASS CSS Transitions: property <-webkit-filter> from [none] to [invert(1)] at (0.5) is [invert(0.5)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [invert(1)] at (1) is [invert(1)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [invert(1)] at (1.5) is [invert(1)] 
PASS CSS Transitions: property <-webkit-filter> from [opacity(0)] to [none] at (-1) is [opacity(0)] 
PASS CSS Transitions: property <-webkit-filter> from [opacity(0)] to [none] at (0) is [opacity(0)] 
PASS CSS Transitions: property <-webkit-filter> from [opacity(0)] to [none] at (0.5) is [opacity(0.5)] 
FAIL CSS Transitions: property <-webkit-filter> from [opacity(0)] to [none] at (1) is [none] assert_equals: expected "opacity ( 1 ) " but got "none "
PASS CSS Transitions: property <-webkit-filter> from [opacity(0)] to [none] at (1.5) is [opacity(1)] 
PASS CSS Transitions: property <-webkit-filter> from [saturate(0)] to [none] at (-1) is [saturate(0)] 
PASS CSS Transitions: property <-webkit-filter> from [saturate(0)] to [none] at (0) is [saturate(0)] 
PASS CSS Transitions: property <-webkit-filter> from [saturate(0)] to [none] at (0.5) is [saturate(0.5)] 
FAIL CSS Transitions: property <-webkit-filter> from [saturate(0)] to [none] at (1) is [none] assert_equals: expected "saturate ( 1 ) " but got "none "
PASS CSS Transitions: property <-webkit-filter> from [saturate(0)] to [none] at (1.5) is [saturate(1.5)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [sepia(1)] at (-1) is [sepia(0)] 
FAIL CSS Transitions: property <-webkit-filter> from [none] to [sepia(1)] at (0) is [none] assert_equals: expected "sepia ( 0 ) " but got "none "
PASS CSS Transitions: property <-webkit-filter> from [none] to [sepia(1)] at (0.5) is [sepia(0.5)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [sepia(1)] at (1) is [sepia(1)] 
PASS CSS Transitions: property <-webkit-filter> from [none] to [sepia(1)] at (1.5) is [sepia(1)] 
PASS CSS Transitions: property <-webkit-filter> from [url(#svgfilter)] to [none] at (-0.3) is [none] 
PASS CSS Transitions: property <-webkit-filter> from [url(#svgfilter)] to [none] at (0) is [none] 
PASS CSS Transitions: property <-webkit-filter> from [url(#svgfilter)] to [none] at (0.3) is [none] 
PASS CSS Transitions: property <-webkit-filter> from [url(#svgfilter)] to [none] at (0.5) is [none] 
PASS CSS Transitions: property <-webkit-filter> from [url(#svgfilter)] to [none] at (0.6) is [none] 
PASS CSS Transitions: property <-webkit-filter> from [url(#svgfilter)] to [none] at (1) is [none] 
PASS CSS Transitions: property <-webkit-filter> from [url(#svgfilter)] to [none] at (1.5) is [none] 
PASS CSS Transitions: property <-webkit-filter> from [url(#svgfilter)] to [blur(5px)] at (-0.3) is [blur(5px)] 
PASS CSS Transitions: property <-webkit-filter> from [url(#svgfilter)] to [blur(5px)] at (0) is [blur(5px)] 
PASS CSS Transitions: property <-webkit-filter> from [url(#svgfilter)] to [blur(5px)] at (0.3) is [blur(5px)] 
PASS CSS Transitions: property <-webkit-filter> from [url(#svgfilter)] to [blur(5px)] at (0.5) is [blur(5px)] 
PASS CSS Transitions: property <-webkit-filter> from [url(#svgfilter)] to [blur(5px)] at (0.6) is [blur(5px)] 
PASS CSS Transitions: property <-webkit-filter> from [url(#svgfilter)] to [blur(5px)] at (1) is [blur(5px)] 
PASS CSS Transitions: property <-webkit-filter> from [url(#svgfilter)] to [blur(5px)] at (1.5) is [blur(5px)] 
PASS CSS Transitions: property <-webkit-filter> from [initial] to [sepia(1)] at (-1) is [sepia(0)] 
PASS CSS Transitions: property <-webkit-filter> from [initial] to [sepia(1)] at (0) is [none] 
PASS CSS Transitions: property <-webkit-filter> from [initial] to [sepia(1)] at (0.5) is [sepia(0.5)] 
PASS CSS Transitions: property <-webkit-filter> from [initial] to [sepia(1)] at (1) is [sepia(1)] 
PASS CSS Transitions: property <-webkit-filter> from [initial] to [sepia(1)] at (1.5) is [sepia(1)] 
PASS CSS Animations: property <-webkit-filter> from [] to [hue-rotate(20deg)] at (-0.5) is [hue-rotate(5deg)] 
PASS CSS Animations: property <-webkit-filter> from [] to [hue-rotate(20deg)] at (0) is [hue-rotate(10deg)] 
PASS CSS Animations: property <-webkit-filter> from [] to [hue-rotate(20deg)] at (0.3) is [hue-rotate(13deg)] 
PASS CSS Animations: property <-webkit-filter> from [] to [hue-rotate(20deg)] at (0.6) is [hue-rotate(16deg)] 
PASS CSS Animations: property <-webkit-filter> from [] to [hue-rotate(20deg)] at (1) is [hue-rotate(20deg)] 
PASS CSS Animations: property <-webkit-filter> from [] to [hue-rotate(20deg)] at (1.5) is [hue-rotate(25deg)] 
PASS CSS Animations: property <-webkit-filter> from [initial] to [hue-rotate(20deg)] at (-0.5) is [hue-rotate(-10deg)] 
PASS CSS Animations: property <-webkit-filter> from [initial] to [hue-rotate(20deg)] at (0) is [none] 
PASS CSS Animations: property <-webkit-filter> from [initial] to [hue-rotate(20deg)] at (0.3) is [hue-rotate(6deg)] 
PASS CSS Animations: property <-webkit-filter> from [initial] to [hue-rotate(20deg)] at (0.6) is [hue-rotate(12deg)] 
PASS CSS Animations: property <-webkit-filter> from [initial] to [hue-rotate(20deg)] at (1) is [hue-rotate(20deg)] 
PASS CSS Animations: property <-webkit-filter> from [initial] to [hue-rotate(20deg)] at (1.5) is [hue-rotate(30deg)] 
PASS CSS Animations: property <-webkit-filter> from [inherit] to [hue-rotate(20deg)] at (-0.5) is [hue-rotate(35deg)] 
PASS CSS Animations: property <-webkit-filter> from [inherit] to [hue-rotate(20deg)] at (0) is [hue-rotate(30deg)] 
PASS CSS Animations: property <-webkit-filter> from [inherit] to [hue-rotate(20deg)] at (0.3) is [hue-rotate(27deg)] 
PASS CSS Animations: property <-webkit-filter> from [inherit] to [hue-rotate(20deg)] at (0.6) is [hue-rotate(24deg)] 
PASS CSS Animations: property <-webkit-filter> from [inherit] to [hue-rotate(20deg)] at (1) is [hue-rotate(20deg)] 
PASS CSS Animations: property <-webkit-filter> from [inherit] to [hue-rotate(20deg)] at (1.5) is [hue-rotate(15deg)] 
PASS CSS Animations: property <-webkit-filter> from [unset] to [hue-rotate(20deg)] at (-0.5) is [hue-rotate(-10deg)] 
PASS CSS Animations: property <-webkit-filter> from [unset] to [hue-rotate(20deg)] at (0) is [none] 
PASS CSS Animations: property <-webkit-filter> from [unset] to [hue-rotate(20deg)] at (0.3) is [hue-rotate(6deg)] 
PASS CSS Animations: property <-webkit-filter> from [unset] to [hue-rotate(20deg)] at (0.6) is [hue-rotate(12deg)] 
PASS CSS Animations: property <-webkit-filter> from [unset] to [hue-rotate(20deg)] at (1) is [hue-rotate(20deg)] 
PASS CSS Animations: property <-webkit-filter> from [unset] to [hue-rotate(20deg)] at (1.5) is [hue-rotate(30deg)] 
PASS CSS Animations: property <-webkit-filter> from [hue-rotate(0deg) blur(6px)] to [hue-rotate(180deg) blur(10px)] at (-0.5) is [hue-rotate(-90deg) blur(4px)] 
PASS CSS Animations: property <-webkit-filter> from [hue-rotate(0deg) blur(6px)] to [hue-rotate(180deg) blur(10px)] at (0) is [hue-rotate(0deg) blur(6px)] 
PASS CSS Animations: property <-webkit-filter> from [hue-rotate(0deg) blur(6px)] to [hue-rotate(180deg) blur(10px)] at (0.25) is [hue-rotate(45deg) blur(7px)] 
PASS CSS Animations: property <-webkit-filter> from [hue-rotate(0deg) blur(6px)] to [hue-rotate(180deg) blur(10px)] at (0.5) is [hue-rotate(90deg) blur(8px)] 
PASS CSS Animations: property <-webkit-filter> from [hue-rotate(0deg) blur(6px)] to [hue-rotate(180deg) blur(10px)] at (1) is [hue-rotate(180deg) blur(10px)] 
PASS CSS Animations: property <-webkit-filter> from [hue-rotate(0deg) blur(6px)] to [hue-rotate(180deg) blur(10px)] at (1.5) is [hue-rotate(270deg) blur(12px)] 
PASS CSS Animations: property <-webkit-filter> from [hue-rotate(80deg) blur(6mm)] to [hue-rotate(100grad) blur(1cm)] at (-0.5) is [hue-rotate(75deg) blur(15.1181px)] 
PASS CSS Animations: property <-webkit-filter> from [hue-rotate(80deg) blur(6mm)] to [hue-rotate(100grad) blur(1cm)] at (0) is [hue-rotate(80deg) blur(22.6772px)] 
PASS CSS Animations: property <-webkit-filter> from [hue-rotate(80deg) blur(6mm)] to [hue-rotate(100grad) blur(1cm)] at (0.25) is [hue-rotate(82.5deg) blur(26.4567px)] 
PASS CSS Animations: property <-webkit-filter> from [hue-rotate(80deg) blur(6mm)] to [hue-rotate(100grad) blur(1cm)] at (0.5) is [hue-rotate(85deg) blur(30.2362px)] 
PASS CSS Animations: property <-webkit-filter> from [hue-rotate(80deg) blur(6mm)] to [hue-rotate(100grad) blur(1cm)] at (1) is [hue-rotate(90deg) blur(37.7953px)] 
PASS CSS Animations: property <-webkit-filter> from [hue-rotate(80deg) blur(6mm)] to [hue-rotate(100grad) blur(1cm)] at (1.5) is [hue-rotate(95deg) blur(45.3543px)] 
PASS CSS Animations: property <-webkit-filter> from [grayscale(0) blur(0px)] to [blur(10px)] at (-0.3) is [grayscale(0) blur(0px)] 
PASS CSS Animations: property <-webkit-filter> from [grayscale(0) blur(0px)] to [blur(10px)] at (0) is [grayscale(0) blur(0px)] 
PASS CSS Animations: property <-webkit-filter> from [grayscale(0) blur(0px)] to [blur(10px)] at (0.3) is [grayscale(0) blur(0px)] 
PASS CSS Animations: property <-webkit-filter> from [grayscale(0) blur(0px)] to [blur(10px)] at (0.5) is [blur(10px)] 
PASS CSS Animations: property <-webkit-filter> from [grayscale(0) blur(0px)] to [blur(10px)] at (0.6) is [blur(10px)] 
PASS CSS Animations: property <-webkit-filter> from [grayscale(0) blur(0px)] to [blur(10px)] at (1) is [blur(10px)] 
PASS CSS Animations: property <-webkit-filter> from [grayscale(0) blur(0px)] to [blur(10px)] at (1.5) is [blur(10px)] 
PASS CSS Animations: property <-webkit-filter> from [blur(6px)] to [blur(10px) hue-rotate(180deg)] at (-0.5) is [blur(4px) hue-rotate(-90deg)] 
PASS CSS Animations: property <-webkit-filter> from [blur(6px)] to [blur(10px) hue-rotate(180deg)] at (0) is [blur(6px) hue-rotate(0deg)] 
PASS CSS Animations: property <-webkit-filter> from [blur(6px)] to [blur(10px) hue-rotate(180deg)] at (0.25) is [blur(7px) hue-rotate(45deg)] 
PASS CSS Animations: property <-webkit-filter> from [blur(6px)] to [blur(10px) hue-rotate(180deg)] at (0.5) is [blur(8px) hue-rotate(90deg)] 
PASS CSS Animations: property <-webkit-filter> from [blur(6px)] to [blur(10px) hue-rotate(180deg)] at (1) is [blur(10px) hue-rotate(180deg)] 
PASS CSS Animations: property <-webkit-filter> from [blur(6px)] to [blur(10px) hue-rotate(180deg)] at (1.5) is [blur(12px) hue-rotate(270deg)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [hue-rotate(180deg)] at (-0.5) is [hue-rotate(-90deg)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [hue-rotate(180deg)] at (0) is [hue-rotate(0deg)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [hue-rotate(180deg)] at (0.25) is [hue-rotate(45deg)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [hue-rotate(180deg)] at (0.5) is [hue-rotate(90deg)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [hue-rotate(180deg)] at (1) is [hue-rotate(180deg)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [hue-rotate(180deg)] at (1.5) is [hue-rotate(270deg)] 
PASS CSS Animations: property <-webkit-filter> from [hue-rotate(180deg)] to [none] at (-0.5) is [hue-rotate(270deg)] 
PASS CSS Animations: property <-webkit-filter> from [hue-rotate(180deg)] to [none] at (0) is [hue-rotate(180deg)] 
PASS CSS Animations: property <-webkit-filter> from [hue-rotate(180deg)] to [none] at (0.25) is [hue-rotate(135deg)] 
PASS CSS Animations: property <-webkit-filter> from [hue-rotate(180deg)] to [none] at (0.5) is [hue-rotate(90deg)] 
PASS CSS Animations: property <-webkit-filter> from [hue-rotate(180deg)] to [none] at (1) is [hue-rotate(0deg)] 
PASS CSS Animations: property <-webkit-filter> from [hue-rotate(180deg)] to [none] at (1.5) is [hue-rotate(-90deg)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [blur(10px)] at (-1) is [blur(0px)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [blur(10px)] at (0) is [blur(0px)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [blur(10px)] at (0.5) is [blur(5px)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [blur(10px)] at (1) is [blur(10px)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [blur(10px)] at (1.5) is [blur(15px)] 
PASS CSS Animations: property <-webkit-filter> from [brightness(0)] to [none] at (-1) is [brightness(0)] 
PASS CSS Animations: property <-webkit-filter> from [brightness(0)] to [none] at (0) is [brightness(0)] 
PASS CSS Animations: property <-webkit-filter> from [brightness(0)] to [none] at (0.5) is [brightness(0.5)] 
PASS CSS Animations: property <-webkit-filter> from [brightness(0)] to [none] at (1) is [brightness(1)] 
PASS CSS Animations: property <-webkit-filter> from [brightness(0)] to [none] at (1.5) is [brightness(1.5)] 
PASS CSS Animations: property <-webkit-filter> from [contrast(0)] to [none] at (-1) is [contrast(0)] 
PASS CSS Animations: property <-webkit-filter> from [contrast(0)] to [none] at (0) is [contrast(0)] 
PASS CSS Animations: property <-webkit-filter> from [contrast(0)] to [none] at (0.5) is [contrast(0.5)] 
PASS CSS Animations: property <-webkit-filter> from [contrast(0)] to [none] at (1) is [contrast(1)] 
PASS CSS Animations: property <-webkit-filter> from [contrast(0)] to [none] at (1.5) is [contrast(1.5)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [drop-shadow(20px 10px green)] at (-1) is [drop-shadow(rgba(0, 0, 0, 0) -20px -10px 0px)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [drop-shadow(20px 10px green)] at (0) is [none] 
PASS CSS Animations: property <-webkit-filter> from [none] to [drop-shadow(20px 10px green)] at (0.5) is [drop-shadow(rgba(0, 127, 0, 0.501961) 10px 5px 0px)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [drop-shadow(20px 10px green)] at (1) is [drop-shadow(rgb(0, 128, 0) 20px 10px 0px)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [drop-shadow(20px 10px green)] at (1.5) is [drop-shadow(rgb(0, 192, 0) 30px 15px 0px)] 
PASS CSS Animations: property <-webkit-filter> from [drop-shadow(0px 0px 0px currentcolor)] to [drop-shadow(20px 10px green)] at (-1) is [drop-shadow(rgb(255, 255, 255) -20px -10px 0px)] 
PASS CSS Animations: property <-webkit-filter> from [drop-shadow(0px 0px 0px currentcolor)] to [drop-shadow(20px 10px green)] at (0) is [drop-shadow(rgb(255, 255, 255) 0px 0px 0px)] 
PASS CSS Animations: property <-webkit-filter> from [drop-shadow(0px 0px 0px currentcolor)] to [drop-shadow(20px 10px green)] at (0.5) is [drop-shadow(rgb(128, 192, 128) 10px 5px 0px)] 
PASS CSS Animations: property <-webkit-filter> from [drop-shadow(0px 0px 0px currentcolor)] to [drop-shadow(20px 10px green)] at (1) is [drop-shadow(rgb(0, 128, 0) 20px 10px 0px)] 
PASS CSS Animations: property <-webkit-filter> from [drop-shadow(0px 0px 0px currentcolor)] to [drop-shadow(20px 10px green)] at (1.5) is [drop-shadow(rgb(0, 65, 0) 30px 15px 0px)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [grayscale(1)] at (-1) is [grayscale(0)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [grayscale(1)] at (0) is [grayscale(0)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [grayscale(1)] at (0.5) is [grayscale(0.5)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [grayscale(1)] at (1) is [grayscale(1)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [grayscale(1)] at (1.5) is [grayscale(1)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [hue-rotate(360deg)] at (-1) is [hue-rotate(-360deg)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [hue-rotate(360deg)] at (0) is [hue-rotate(0deg)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [hue-rotate(360deg)] at (0.5) is [hue-rotate(180deg)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [hue-rotate(360deg)] at (1) is [hue-rotate(360deg)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [hue-rotate(360deg)] at (1.5) is [hue-rotate(540deg)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [invert(1)] at (-1) is [invert(0)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [invert(1)] at (0) is [invert(0)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [invert(1)] at (0.5) is [invert(0.5)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [invert(1)] at (1) is [invert(1)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [invert(1)] at (1.5) is [invert(1)] 
PASS CSS Animations: property <-webkit-filter> from [opacity(0)] to [none] at (-1) is [opacity(0)] 
PASS CSS Animations: property <-webkit-filter> from [opacity(0)] to [none] at (0) is [opacity(0)] 
PASS CSS Animations: property <-webkit-filter> from [opacity(0)] to [none] at (0.5) is [opacity(0.5)] 
PASS CSS Animations: property <-webkit-filter> from [opacity(0)] to [none] at (1) is [opacity(1)] 
PASS CSS Animations: property <-webkit-filter> from [opacity(0)] to [none] at (1.5) is [opacity(1)] 
PASS CSS Animations: property <-webkit-filter> from [saturate(0)] to [none] at (-1) is [saturate(0)] 
PASS CSS Animations: property <-webkit-filter> from [saturate(0)] to [none] at (0) is [saturate(0)] 
PASS CSS Animations: property <-webkit-filter> from [saturate(0)] to [none] at (0.5) is [saturate(0.5)] 
PASS CSS Animations: property <-webkit-filter> from [saturate(0)] to [none] at (1) is [saturate(1)] 
PASS CSS Animations: property <-webkit-filter> from [saturate(0)] to [none] at (1.5) is [saturate(1.5)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [sepia(1)] at (-1) is [sepia(0)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [sepia(1)] at (0) is [sepia(0)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [sepia(1)] at (0.5) is [sepia(0.5)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [sepia(1)] at (1) is [sepia(1)] 
PASS CSS Animations: property <-webkit-filter> from [none] to [sepia(1)] at (1.5) is [sepia(1)] 
PASS CSS Animations: property <-webkit-filter> from [url(#svgfilter)] to [none] at (-0.3) is [url(file:///.../'#svgfilter')] 
PASS CSS Animations: property <-webkit-filter> from [url(#svgfilter)] to [none] at (0) is [url(file:///.../'#svgfilter')] 
PASS CSS Animations: property <-webkit-filter> from [url(#svgfilter)] to [none] at (0.3) is [url(file:///.../'#svgfilter')] 
PASS CSS Animations: property <-webkit-filter> from [url(#svgfilter)] to [none] at (0.5) is [none] 
PASS CSS Animations: property <-webkit-filter> from [url(#svgfilter)] to [none] at (0.6) is [none] 
PASS CSS Animations: property <-webkit-filter> from [url(#svgfilter)] to [none] at (1) is [none] 
PASS CSS Animations: property <-webkit-filter> from [url(#svgfilter)] to [none] at (1.5) is [none] 
PASS CSS Animations: property <-webkit-filter> from [url(#svgfilter)] to [blur(5px)] at (-0.3) is [url(file:///.../'#svgfilter')] 
PASS CSS Animations: property <-webkit-filter> from [url(#svgfilter)] to [blur(5px)] at (0) is [url(file:///.../'#svgfilter')] 
PASS CSS Animations: property <-webkit-filter> from [url(#svgfilter)] to [blur(5px)] at (0.3) is [url(file:///.../'#svgfilter')] 
PASS CSS Animations: property <-webkit-filter> from [url(#svgfilter)] to [blur(5px)] at (0.5) is [blur(5px)] 
PASS CSS Animations: property <-webkit-filter> from [url(#svgfilter)] to [blur(5px)] at (0.6) is [blur(5px)] 
PASS CSS Animations: property <-webkit-filter> from [url(#svgfilter)] to [blur(5px)] at (1) is [blur(5px)] 
PASS CSS Animations: property <-webkit-filter> from [url(#svgfilter)] to [blur(5px)] at (1.5) is [blur(5px)] 
PASS CSS Animations: property <-webkit-filter> from [initial] to [sepia(1)] at (-1) is [sepia(0)] 
PASS CSS Animations: property <-webkit-filter> from [initial] to [sepia(1)] at (0) is [none] 
PASS CSS Animations: property <-webkit-filter> from [initial] to [sepia(1)] at (0.5) is [sepia(0.5)] 
PASS CSS Animations: property <-webkit-filter> from [initial] to [sepia(1)] at (1) is [sepia(1)] 
PASS CSS Animations: property <-webkit-filter> from [initial] to [sepia(1)] at (1.5) is [sepia(1)] 
Harness: the test ran to completion.

